Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
dinhnhat

Nhờ chỉnh sửa Lsp theo layers

Các bài được khuyến nghị

Mình sưa tầm trên mạng code lisp: Mình muốn nhờ các bạn chỉnh sửa giúp sau khi lựa chọn được layer không dùng lệnh move mà thành select các đối tượng đã được chọn nhé.

Trân thành các ơn các bạn.

 

(defun c:demo ( / ss)

(if (setq ss (ssget "_:L" '((8 . "E-CAB-BORE-NP,E-CAB-PART-NP,E-CAB-POCKET-NP"))))

(command "_.move" ss "" "\\" "\\")

)

(princ) )

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Của bạn đây:

(defun c:demo (/ ss)
  (if
    (setq ss (ssget "_:L" '((8 . "E-CAB-BORE-NP,E-CAB-PART-NP,E-CAB-POCKET-NP"))))
    (command "PSELECT" ss "")
    )
  (princ)
  )
(command "PROPERTIES")
(command "PROPERTIESCLOSE")

 

  • Like 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×